Subject: bug#17052: substitute-command-keys strips text properties

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Aug 2019 15:42:18 -0700

Eli Zaretskii <[email-masked]> writes:

>> Heh, heh:
>> 
>>     (Fsubstitute_command_keys): Don't advertise the fact that
>>     text-properties are dropped, since we think it's a bug that we'll fix
>>     in 24.5.
>> 
>> Should I just put it back in the doc string, or do we still think that
>> we'll fix it?
>
> I don't think it matters (unless you want to fix this right now ;-).

I had a look at that function now and, er, no.  :-)  Perhaps it should
be rewritten in Emacs Lisp?  Then it'd be pretty trivial to fix this
stuff.

> We should document the situation and leave the bug open for the
> possibility that someone would like to work on this.

Document the situation by just putting back into the doc string that it
doesn't copy text properties in some situations?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no